GrailsTransactionAttribute (Grails 4.0.3)
Date: 2020-04-03

Package: org.grails.transaction

## [Java] Class GrailsTransactionAttribute

- org.grails.transaction.GrailsTransactionAttribute

- Extended version of org.springframework.transaction.interceptor.RuleBasedTransactionAttribute that ensures all exception types are rolled back and allows inheritance of setRollbackOnly

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.transaction.interceptor.RuleBasedTransactionAttribute` | `PREFIX_ROLLBACK_RULE, PREFIX_COMMIT_RULE, PROPAGATION_REQUIRED, PROPAGATION_SUPPORTS, PROPAGATION_MANDATORY, PROPAGATION_REQUIRES_NEW, PROPAGATION_NOT_SUPPORTED, PROPAGATION_NEVER, PROPAGATION_NESTED, ISOLATION_DEFAULT, ISOLATION_READ_UNCOMMITTED, ISOLATION_READ_COMMITTED, ISOLATION_REPEATABLE_READ, ISOLATION_SERIALIZABLE, TIMEOUT_DEFAULT, PREFIX_PROPAGATION, PREFIX_ISOLATION, PREFIX_TIMEOUT, READ_ONLY_MARKER`
    `class org.springframework.transaction.interceptor.DefaultTransactionAttribute` | `PROPAGATION_REQUIRED, PROPAGATION_SUPPORTS, PROPAGATION_MANDATORY, PROPAGATION_REQUIRES_NEW, PROPAGATION_NOT_SUPPORTED, PROPAGATION_NEVER, PROPAGATION_NESTED, ISOLATION_DEFAULT, ISOLATION_READ_UNCOMMITTED, ISOLATION_READ_COMMITTED, ISOLATION_REPEATABLE_READ, ISOLATION_SERIALIZABLE, TIMEOUT_DEFAULT, PREFIX_PROPAGATION, PREFIX_ISOLATION, PREFIX_TIMEOUT, READ_ONLY_MARKER`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `inheritRollbackOnly`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTransactionAttribute ()`
    `GrailsTransactionAttribute (int propagationBehavior, java.util.List<org.springframework.transaction.interceptor.RollbackRuleAttribute> rollbackRules)`
    `GrailsTransactionAttribute (org.springframework.transaction.interceptor.TransactionAttribute other)`
    `GrailsTransactionAttribute (org.springframework.transaction.TransactionDefinition other)`
    `GrailsTransactionAttribute (GrailsTransactionAttribute other)`
    `GrailsTransactionAttribute (org.springframework.transaction.interceptor.RuleBasedTransactionAttribute other)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isInheritRollbackOnly()`
    `` | `boolean` | `rollbackOn(java.lang.Throwable ex)`
    `` | `void` | `setInheritRollbackOnly(boolean inheritRollbackOnly)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.transaction.interceptor.RuleBasedTransactionAttribute` | `org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getRollbackRules(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#rollbackOn(java.lang.Throwable), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setRollbackRules(java.util.List), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#toString(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getQualifier(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setQualifier(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setDescriptor(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getDescriptor(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setTimeout(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getTimeout(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getPropagationBehavior(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getIsolationLevel(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setPropagationBehaviorName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setPropagationBehavior(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setIsolationLevelName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setIsolationLevel(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#equals(java.lang.Object), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#hashCode(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getName(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setReadOnly(boolean), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#isReadOnly(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(long, int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(long), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getClass(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#notify(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#notifyAll()`
    `class org.springframework.transaction.interceptor.DefaultTransactionAttribute` | `org.springframework.transaction.interceptor.DefaultTransactionAttribute#getQualifier(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#rollbackOn(java.lang.Throwable), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setQualifier(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setDescriptor(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getDescriptor(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setTimeout(int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getTimeout(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getPropagationBehavior(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getIsolationLevel(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setPropagationBehaviorName(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setPropagationBehavior(int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setIsolationLevelName(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setIsolationLevel(int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#equals(java.lang.Object), org.springframework.transaction.interceptor.DefaultTransactionAttribute#toString(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#hashCode(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getName(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setReadOnly(boolean), org.springframework.transaction.interceptor.DefaultTransactionAttribute#setName(java.lang.String), org.springframework.transaction.interceptor.DefaultTransactionAttribute#isReadOnly(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#wait(long, int), org.springframework.transaction.interceptor.DefaultTransactionAttribute#wait(long), org.springframework.transaction.interceptor.DefaultTransactionAttribute#wait(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#getClass(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#notify(), org.springframework.transaction.interceptor.DefaultTransactionAttribute#notifyAll()`

- - ### Property Detail

    - #### boolean inheritRollbackOnly

  - ### Constructor Detail

    - #### public GrailsTransactionAttribute()

    - #### public GrailsTransactionAttribute(int propagationBehavior, java.util.List<org.springframework.transaction.interceptor.RollbackRuleAttribute> rollbackRules)

    - #### public GrailsTransactionAttribute(org.springframework.transaction.interceptor.TransactionAttribute other)

    - #### public GrailsTransactionAttribute(org.springframework.transaction.TransactionDefinition other)

    - #### public GrailsTransactionAttribute(GrailsTransactionAttribute other)

    - #### public GrailsTransactionAttribute(org.springframework.transaction.interceptor.RuleBasedTransactionAttribute other)

  - ### Method Detail

    - #### public boolean isInheritRollbackOnly()

    - #### @java.lang.Override public boolean rollbackOn(java.lang.Throwable ex)

    - #### public void setInheritRollbackOnly(boolean inheritRollbackOnly)